Bug 870110 (CVE-2012-4539)

Summary: CVE-2012-4539 kernel: xen: Grant Table hypercall infinite loop can crash Xen
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: drjones, imammedo, lersek, pbonzini, security-response-team, tburke
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121113,reported=20121024,source=upstream,cvss2=5.5/AV:A/AC:L/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected,cwe=CWE-835[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-15 10:22:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 876207    
Bug Blocks: 870154    

Description Petr Matousek 2012-10-25 10:56:04 EDT
Due to inappropriate duplicate use of the same loop control variable, passing bad arguments to GNTTABOP_get_status_frames can cause an infinite loop in the compat hypercall handler.

A malicious guest administrator can trigger the bug. If the Xen watchdog is enabled, the whole system will crash. Otherwise the guest can cause the system to become completely unresponsive.

Only 32-bit x86 PV guests, running on 64-bit Xen hypervisors, introduce this vulnerability

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2012-10-25 12:18:11 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-11-13 09:53:19 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 876207]
Comment 5 Fedora Update System 2012-11-22 21:55:46 EST
xen-4.1.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-22 21:59:22 EST
xen-4.1.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-23 02:20:54 EST
xen-4.2.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.